init:
    # Position the navigation on the right side of the screen.
    $ style.gallery_nav_frame.xpos = 800 - 10
    $ style.gallery_nav_frame.xanchor = 1.0
    $ style.gallery_nav_frame.ypos = 12


# The entry point to the gallery code.

label gallery:
    python hide:

        # Construct a new gallery object.
        g = Gallery()

        # The image used for locked buttons.
        g.locked_button = "F4_2.jpg"

        # The background of a locked image.
        g.locked_background = "q.png"

        # Frames added over unlocked buttons, in hover and idle states.
        g.hover_border = "ly 2.png"
        g.idle_border = "ly1.png"

        # An images used as the background of the various gallery pages.
        g.background = "Ol.jpg"

        # Lay out the gallery images on the screen.
        # These settings lay images out 3 across and 4 down.
        # They expect button images to be 155x112 in size.
        g.grid_layout((3, 4), (10, 12), (160, 124))

        # Show the background page.
        g.page("Oswald")

        # Our first button is a picture of the beach.
        g.button("osw_2.png")
        #
        # These show images, if they have been unlocked. The image name must
        # have been defined using an image statement.
        g.unlock_image("bg osw")
        
        g.button("oevil_2.jpg")
        g.unlock_image("bg oswd")
        
        g.button("osw2_2.jpg")
        g.unlock_image("bg osw2")
        
        g.button("Oswaldcry_2.jpg")
        g.unlock_image("bg oswcry")
        
        g.button("okiss_2.jpg")
        g.unlock_image("bg okiss")
        
        g.button("Oswnend_2.png")
        g.unlock_image("bg Oswnend")
        
        g.button("oend_2.jpg")
        g.unlock_image("bg oend")
        
        g.button("lordending_2.jpg")
        g.unlock_image("bg lordend")
        
        g.button("odie_2.jpg")
        g.unlock_image("bg odie")
        g.unlock_image("bg odie2")
        g.unlock_image("bg odie3")
        g.unlock_image("bg odieh")
        g.unlock_image("bg odieh2")
        g.unlock_image("bg odieh3")
        
        



        # We can use g.page to introduce a second page.
        g.page("Ian and Cain")

        g.button("cain_2.jpg")
        g.unlock_image("bg cain")
        
        g.button("Caindies_2.jpg")
        g.unlock_image("bg caindies")
        
        g.button("Csad_2.jpg")
        g.unlock_image("bg Csad")
        g.unlock_image("bg Csha")
        
        g.button("cifight_2.jpg")
        g.unlock_image("bg cifight")
        
        g.button("ian_2.jpg")
        g.unlock_image("bg ian")
        
        g.button("Ianend_2.jpg")
        g.unlock_image("bg ianend")
        
        g.button("Ifight_2.jpg")
        g.unlock_image("bg ifight")
        
        g.button("IKISS_2.jpg")
        g.unlock_image("bg ikiss")
        
        g.button("Ibonus_2.jpg")
        g.condition("persistent.ian")
        g.display("Ibonus.jpg")
        
        





        # Another page, this one for concept art.
        g.page("Leon and Gil")
        
        g.button("bttl_2.jpg")
        g.unlock_image("bg bttl")
        
        g.button("LGfi_2.jpg")
        g.unlock_image("bg lgfi")
        
        g.button("leon_2.jpg")
        g.unlock_image("bg leon")
        
        g.button("Lkiss_2.jpg")
        g.unlock_image("bg Lkiss")
        
        g.button("scary_2.jpg")
        g.unlock_image("bg scary")
        
        g.button("Leon Ending_2.jpg")
        g.unlock_image("bg lend")
        
        g.button("Gilfight_2.jpg")
        g.unlock_image("bg gilfight")
        
        g.button("glove_2.jpg")
        g.unlock_image("bg glove")
        
        g.button("gil_2.jpg")
        g.unlock_image("bg gil")
        
        g.button("gilbad_2.jpg")
        g.unlock_image("bg gilbad")
        
        g.button("Gilend_2.jpg")
        g.unlock_image("bg gilend")
        
        g.button("Lbonus_2.png")
        g.condition("persistent.leon")
        g.display("Lbonus.png")
        

    # We can use g.page to introduce a second page.
        g.page("Others")

        g.button("thanos_2.jpg")
        g.unlock_image("bg thanos")
        
        g.button("lolend1_2.jpg")
        g.unlock_image("bg lolend1")
        g.unlock_image("bg lolend2")
        
        g.button("lolend3_2.jpg")
        g.unlock_image("bg lolend3")
        
        g.button("lolend4_2.jpg")
        g.unlock_image("bg lolend4")
        g.unlock_image("bg lolend5")
        
        # Now, show the gallery.
        g.show()

    return
