init python:

    def set_playing_(track):
        store.playing = track
        return True

    set_playing = renpy.curry(set_playing_)

    # Call this with a button name and a track to define a music
    # button.
    def music_button(name, track):

        if store.playing == track:
            role = "selected_"
        else:
            role = ""

        if not renpy.seen_audio(track):
            name = "???"
            clicked = None
        else:
            clicked = set_playing(track)


        ui.textbutton(
            name,
            clicked=clicked,
            role=role,
            size_group="music")



label music_room:

    scene bg 19

    python:
        _game_menu_screen = None

        # The default track of music.
        playing = "Fantasia.mp3"

label music_room_loop:

    # Play the playing music, if it changed.
    python:
        renpy.music.play(playing, if_changed=True, fadeout=1)

        # Display the various music buttons.
        ui.vbox(xalign=0.5, ypos=100)
        music_button("Oswald's Theme", "bAD.mp3")
        music_button("Fantasia", "Fantasia.mp3")
        music_button("Happiness", "fUN.mp3")
        music_button("Danger", "Hmm.mp3")
        music_button("A Better Future", "Hope.mp3")
        music_button("Bitter Memory", "Love.mp3")
        music_button("Gag", "Netherworld Shanty.mp3")
        music_button("Realm of Thanos", "realm.mp3")
        music_button("Lonely", "Romantic.mp3")
        music_button("A Time to Part", "Romantic2.mp3")
        music_button("My Dear", "Stargaze.mp3")
        music_button("Kanashimi", "Thinking.mp3")
        ui.close()

        # This is how we return to the main menu.
        ui.textbutton(
            "Return",
            clicked=ui.returns(False),
            xalign=1,
            ypos=550,
            size_group="music")

    if ui.interact():
        jump music_room_loop
    else:
        return
